/**
 * @desc 文本输入框
 * @author denghuan
 */
import React from 'react';
import { Input as AntInput, InputProps } from 'antd';
export type { InputProps };
declare const Input: {
    (props: InputProps): JSX.Element;
    Group: React.FC<import("antd/lib/input").GroupProps>;
    Search: React.ForwardRefExoticComponent<import("antd/lib/input").SearchProps & React.RefAttributes<AntInput>>;
    TextArea: React.ForwardRefExoticComponent<import("antd/lib/input").TextAreaProps & React.RefAttributes<import("antd/lib/input/TextArea").TextAreaRef>>;
    Password: React.ForwardRefExoticComponent<import("antd/lib/input").PasswordProps & React.RefAttributes<any>>;
};
export default Input;
